Subject: Broken Repo

From: Joe Zim <[email-masked]>
Date: Sun, 06 May 2012 22:36:53 -0500

Hi, I'm new here. I'm using Github right now. I have a repository there 
and a local copy on my Windows 7 PC. I made a change, committed it, then 
attempted to push it. I got a strange error that I can't remember. 
Anyway, after several attempts I decided to just delete the local 
repository, restore it from github and try again later. I realize now 
that there were other ways this should have been handled, but right now 
it doesn't matter. I can't figure out how to restore a copy from Github 
and make this renewed repo the master branch. Can anyone give me a 
detailed, step by step answer please?

Thanks,
Joseph Zimmerman